#ifndef __DECIMATE_H__
#define __DECIMATE_H__

#include "polygonize.h"

// minimal, maximal octree depth
#define minDepth 3
#define maxDepth 3

typedef struct pOctree *Octree;
struct pOctree {
	Cube cube;
	Octree children[8],parent;
	bool mergingFailed, leaf;
};

void kill(Octree octree);

void merge(Octree *octree, float error);


#endif